Bug 471878 - SELinux is preventing npviewer.bin from loading /usr/lib/sse2/libx264.so.61 which requires text relocation.
SELinux is preventing npviewer.bin from loading /usr/lib/sse2/libx264.so.61 w...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: 471742 471773 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-11-17 08:27 EST by Valent Turkovic
Modified: 2009-11-18 05:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 05:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
alerts (3.19 KB, text/plain)
2008-11-17 08:27 EST, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-11-17 08:27:01 EST
Created attachment 323762 [details]

Description of problem:
Playing youtube with swfdec generates these errors and stops playback.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dominik 'Rathann' Mierzejewski 2008-11-17 15:09:11 EST
I'm afraid it's my fault, because I introduced a version of libx264 with sse2 enabled in /usr/lib/sse2 while disabling asm optimizations in the one in /usr/lib/. This lets people with less capable CPUs use libx264 without it crashing with SIGILL.

Hopefully this will get fixed soon.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-11-17 15:19:00 EST
As a temporary measure, I'm reverting the changes that produced the /usr/lib/sse2/libx264.so.* in RPMFusion until selinux policy catches up.
Comment 3 Daniel Walsh 2008-11-17 15:33:51 EST
So does /usr/lib/sse2/libx264.so  need textrel_shlib_t?  Is it going to need this forever?
Comment 4 Daniel Walsh 2008-11-17 15:40:06 EST
*** Bug 471773 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Walsh 2008-11-17 15:41:04 EST
*** Bug 471742 has been marked as a duplicate of this bug. ***
Comment 6 Dominik 'Rathann' Mierzejewski 2008-11-17 16:11:23 EST
(In reply to comment #3)
> So does /usr/lib/sse2/libx264.so  need textrel_shlib_t?  Is it going to need
> this forever?

Yes. Upstream has already dropped support for compiling it with -fPIC on x86_32 due to insufficient number of registers.
Comment 7 Daniel Walsh 2008-11-17 16:52:07 EST
Fixed in selinux-policy-3.5.13-21.fc10
Comment 8 Bug Zapper 2008-11-26 00:30:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 9 Bug Zapper 2009-11-18 03:52:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.